> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dependencies of action (flat interface)



## OpenAPI

````yaml /api-reference/membrane-api.json get /actions/{selector}/dependencies
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /actions/{selector}/dependencies:
    get:
      tags:
        - Actions
      summary: Get dependencies of action (flat interface)
      operationId: getActionDependencies
      parameters:
        - name: selector
          required: true
          in: path
          schema:
            type: string
        - name: layer
          in: query
          required: false
          schema:
            type: string
            enum:
              - universal
              - integration
              - connection
        - name: integrationKey
          in: query
          required: false
          schema:
            type: string
        - name: integrationId
          in: query
          required: false
          schema:
            type: string
        - name: connectionId
          in: query
          required: false
          schema:
            type: string
        - name: connectionKey
          in: query
          required: false
          schema:
            type: string
        - name: instanceKey
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````